package org.university.core;

import java.util.ArrayList;

public abstract class AbstarctEmployee extends Person implements AccountingInterface {

    protected ArrayList<Payroll> payrolls = new ArrayList<Payroll>();
    protected int defPay;
    protected int income;
    protected String state;

    public AbstarctEmployee(String firstName, String lastName, String ID, int joiningYear, Department department, int defPay, ArrayList<Payroll> payrolls, String state) {
        super(firstName, lastName, ID, joiningYear, department);
        this.defPay = defPay;
        this.payrolls = payrolls;
        this.state = state;
        this.income = 0;
    }

    public ArrayList<Payroll> getPayrolls() {
        return this.payrolls;
    }

    public void addPayroll(Payroll payroll) {
        this.payrolls.add(payroll);
    }

    public int getDefPay() {
        return defPay;
    }

    public abstract int incomeCalculate();

    public abstract boolean isPromoteable();

    public int getIncome() {
        return income;
    }

    public void setIncome(int income) {
        this.income = income;
    }

    public void setDefPay(int defPay) {
        this.defPay = defPay;
    }

    public String getState() {
        return state;
    }

}
