package org.university.core;

public class FinancialAccount {

    private AbstarctEmployee owner;
    private int stock;
    private int creditor;

    public FinancialAccount(AbstarctEmployee owner, int amount) {
        this.owner = owner;
        this.stock = amount;
        this.creditor = 0;
    }

    public AbstarctEmployee getOwner() {
        return owner;
    }

    public int getCreditor() {
        return creditor;
    }

    public void setCreditor(int creditor) {
        this.creditor += creditor;
    }

    public void setStock(int stock) {
        this.stock += stock;
    }

    public void checkOut(int amount) {
        this.stock += amount;
        this.creditor = 0;
    }
}
