package org.university.core;

import java.util.ArrayList;

public class Student extends Person {

    protected ArrayList<Course> courses;

    public Student(String firstName, String lastName, String ID, int joiningYear, Department department, ArrayList<Course> courses) {
        super(firstName, lastName, ID, joiningYear, department);
        this.courses = courses;
    }

    public void addCourse(Course course) {
        courses.add(course);
    }

    public ArrayList<Course> getCourses() {
        return this.courses;
    }
}
