package org.university.core;

import java.util.ArrayList;

public class Course {

    private String title;
    private Teacher instructor;
    private ArrayList<Student> students = new ArrayList<Student>();
    private Master teacherAssistance;


    public Course(String name, Teacher instructor) {
        this.title = name;
        this.instructor = instructor;
    }

    public String getTitle() {
        return this.title;
    }

    public Master getTeacherAssistance() {
        return this.teacherAssistance;
    }

    public void setTeacherAssistance(Master teacherAssistance) {
        this.teacherAssistance = teacherAssistance;
    }


    public Teacher getInstructor() {
        return this.instructor;
    }

    public ArrayList<Student> getStudents() {
        return this.students;
    }

    public void addStudent(Student student) {
        this.students.add(student);
    }
}
