package org.university.core;

import java.util.ArrayList;

public class Master extends Student {

    private ArrayList<Essay> essays;
    private Teacher teacher;

    public Master(String firstName, String lastName, String ID, int joiningYear, Department department, ArrayList<Course> courses, ArrayList<Essay> essays, Teacher teacher) {
        super(firstName, lastName, ID, joiningYear, department, courses);
        this.essays = essays;
        this.teacher = teacher;
    }

    public ArrayList<Essay> getEssays() {
        return essays;
    }

    public void addEssay(Essay essay) {
        this.essays.add(essay);
    }

    public Teacher getTeacher() {
        return teacher;
    }
}
