package org.university.core;

import java.util.ArrayList;

public class Teacher extends AbstarctEmployee {

    private ArrayList<Course> courses;
    private ArrayList<Essay> essays;
    private String group;

    public Teacher(String firstName, String lastName, String ID, int joiningYear, Department department, int defPay, ArrayList<Payroll> payrolls, String state, String group) {
        super(firstName, lastName, ID, joiningYear, department, defPay, payrolls, state);
        this.courses = courses;
        this.group = group;
    }

    private void addCourse(Course course) {
        this.courses.add(course);
    }

    private void removeCourse(Course course) {
        this.courses.remove(course);
    }

    public void addEssay(Essay essay) {
        this.essays.add(essay);
    }

    public ArrayList<Essay> getEssays() {
        return essays;
    }

    public int incomeCalculate() {
        this.income = (this.essays.size() * 1000) + this.defPay;
        return this.income;
    }

    @Override
    public boolean isPromoteable() {
        if (essays.size() > 10)
            return true;
        else
            return false;
    }

    @Override
    public int calCurrentIncome() {
        return 0;
    }

    @Override
    public AbstarctEmployee callEmployee() {
        return null;
    }
}
